Package com.ngrok.services

# Class ApiKeys.ListCallBuilder

java.lang.Object
com.ngrok.services.ApiKeys.ListCallBuilder

Enclosing class:
  ApiKeys

public class ApiKeys.ListCallBuilder extends Object
A builder object encapsulating state for an unsent List API call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ApiKeys.ListCallBuilder`
  `beforeId(String beforeId)`
  Sets the `before_id` parameter.
  `ApiKeys.ListCallBuilder`
  `beforeId(Optional<String> beforeId)`
  Sets (or unsets) the `before_id` parameter.
  `Page<ApiKeyList>`
  `blockingCall()`
  Initiates the API call and blocks until it returns.
  `CompletionStage<Page<ApiKeyList>>`
  `call()`
  Initiates the API call asynchronously.
  `ApiKeys.ListCallBuilder`
  `limit(String limit)`
  Sets the `limit` parameter.
  `ApiKeys.ListCallBuilder`
  `limit(Optional<String> limit)`
  Sets (or unsets) the `limit` parameter.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### beforeId

    public ApiKeys.ListCallBuilder beforeId(String beforeId)
    Sets the `before_id` parameter.
    Parameters:
      `beforeId` - the value of the before_id parameter as a `String`
    Returns:
      the call builder instance

  - ### beforeId

    public ApiKeys.ListCallBuilder beforeId(Optional<String> beforeId)
    Sets (or unsets) the `before_id` parameter.
    Parameters:
      `beforeId` - the value of the before_id parameter as an `Optional` of `String`
    Returns:
      the call builder instance

  - ### limit

    public ApiKeys.ListCallBuilder limit(String limit)
    Sets the `limit` parameter.
    Parameters:
      `limit` - the value of the limit parameter as a `String`
    Returns:
      the call builder instance

  - ### limit

    public ApiKeys.ListCallBuilder limit(Optional<String> limit)
    Sets (or unsets) the `limit` parameter.
    Parameters:
      `limit` - the value of the limit parameter as an `Optional` of `String`
    Returns:
      the call builder instance

  - ### call

    public CompletionStage<Page<ApiKeyList>> call()
    Initiates the API call asynchronously.
    Returns:
      a `CompletionStage` of a `Page` of `ApiKeyList`

  - ### blockingCall

    public Page<ApiKeyList> blockingCall() throws InterruptedException
    Initiates the API call and blocks until it returns.
    Returns:
      a `Page` of `ApiKeyList`
    Throws:
      `InterruptedException` - if the thread was interrupted during the call